@echo off

echo Move Steam stuff off SSD to HD and add symlinks which will keep Steam happy
setlocal

rem **********************************************
rem Where the stuff will be moved to, EDIT TO SUIT
set _hdd=k:\SteamOffSSD

rem Standard Steam location, EDIT IF you have it somewhere else
set _steam=%ProgramFiles(x86)%\Steam
rem **********************************************

echo.
echo Moving FROM %_steam% TO %_hdd% 
echo.
echo If those paths are correct press Enter to proceed
echo If they're not correct, enter N then edit %0
set /p _yn=and try again: 
if /I '%_yn%' == 'N' goto :eof

rem No user-serviceable parts below!

pushd %_steam%
if not exist %_hdd% mkdir %_hdd%

cd steamapps
for %%d in ("common\Steamworks Shared" , workshop) do (
  @echo Moving %%d to %_hdd%\%%d
  @echo [may take a while]
  xcopy %%d %_hdd%\%%d /E /I /Q
  if errorlevel 1 goto error
  rem Copied OK, delete the old content
  rmdir /s /q %%d
  rem and create a symlink to where it is now
  mklink /j %%d %_hdd%\%%d
  )

echo All done
pause
goto :eof

:error
echo *********************
echo Error occurred copying files
echo Delete any symlinks in %_steam% then
echo copy any folders in %_hdd% back to %_steam%
pause
goto :eof

